Page MenuHomePhabricator

Redirect old globalsearch tool to new global-search
Closed, ResolvedPublic

Description

https://tools.wmflabs.org/globalsearch exists, which we weren't aware of when we build the new global search tool at https://tools.wmflabs.org/global-search. The former is from 2014 and apparently queries each wiki one by one. The new tool is powered by CloudElastic which is dramatically faster and more accurate. The new tool is also localized.

The old version features a sub-tool that does external link searches, but this can be accomplished in the new tool too (just search for the URL as you would any keyword).

Finally, the old tool features Global Page Text, which shows the (partial?) content of a page with the given title, for each wiki that it exists. I'm not sure how often this is used, but we can keep it as-is if we want. It didn't work but so well for me; for instance I did not get any result for enwiki when I searched for User:MusikAnimal.

That said, I propose we at least redirect globalsearch.php and globallinks.php to https://tools.wmflabs.org/global-search. This could be done via the lighttpd configuration on Toolforge.

Pinging contributors and maintainers of the old tool: @Jalexander @dbarratt @Zoranzoki21 @Framawiki @kaldari

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2019, 12:42 AM

Seems fine to me. Would you like to become a maintainer of the tool or would you like me to make these changes?

Seems fine to me. Would you like to become a maintainer of the tool or would you like me to make these changes?

Either is fine! You probably know what to do, but just in case, the .lighttpd.conf file should look something like:

url.redirect = (
  "/globalsearch/globalsearch.php" => "https://tools.wmflabs.org/global-search",
  "/globalsearch/globallinks.php" => "https://tools.wmflabs.org/global-search"
)

Then webservice restart should do it.

Thank you!

@MusikAnimal I added that, and that works! is there a reason we wouldn't redirect everything?

@MusikAnimal I added that, and that works! is there a reason we wouldn't redirect everything?

As I said in the description, there is a Global Page Text sub-tool that apparently shows the (partial?) content of a page with the given title, for each wiki that it exists. This feature is not available in the new tool. I don't know how often it is used, but it shouldn't hurt anything to keep it there, I suppose.

If you wanted to redirect everything, something like this should work:

url.redirect = (
  "/globalsearch.*" => "https://tools.wmflabs.org/global-search"
)

Thanks for your assistance!

dbarratt closed this task as Resolved.Sep 3 2019, 3:13 PM
dbarratt claimed this task.
MusikAnimal moved this task from Backlog to Done on the Tool-global-search board.Sep 17 2019, 6:24 AM